package me.wazup.hideandseek.commands.admin;

import org.bukkit.inventory.ItemStack;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.Effect;
import me.wazup.hideandseek.managers.FilesManager;
import me.wazup.hideandseek.Arena;
import me.wazup.hideandseek.Config;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class DeleteCommand extends SubCommand
{
    public DeleteCommand() {
        super("hideandseek.delete", true, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (Config.getInstance().bungeeEnabled) {
            commandSender.sendMessage((String)customization.messages.get("unknown_command"));
            return true;
        }
        if (array.length == 1) {
            return false;
        }
        final Arena value = Arena.valueOf(array[1]);
        if (value == null) {
            commandSender.sendMessage(customization.prefix + "Couldn't find an arena with that name!");
            return true;
        }
        FilesManager.getInstance().getConfig("arenas.yml").set("Arenas." + value.name, (Object)null);
        FilesManager.getInstance().saveConfig("arenas.yml");
        value.kickAll();
        if (value.sign != null) {
            value.sign.getWorld().playEffect(value.sign, Effect.STEP_SOUND, 5);
            value.sign.getBlock().setType(Material.AIR);
            FilesManager.getInstance().getConfig("signs.yml").set("Signs.Join." + value.name, (Object)null);
            FilesManager.getInstance().saveConfig("signs.yml");
        }
        if (value.behindSign != null) {
            value.sign.getWorld().playEffect(value.behindSign, Effect.STEP_SOUND, 5);
            value.behindSign.getBlock().setType(Material.AIR);
        }
        if (hideAndSeek.joinGui != null) {
            for (int i = value.arenaNumber + 1; i < hideAndSeek.joinGui.getSize(); ++i) {
                final ItemStack item = hideAndSeek.joinGui.getItem(i);
                hideAndSeek.joinGui.setItem(i - 1, item);
                if (item != null) {
                    final Arena arena = Arena.arenaObjects.get(i);
                    --arena.arenaNumber;
                }
            }
        }
        Arena.arenaObjects.remove(value);
        commandSender.sendMessage(customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "You have deleted the arena " + ChatColor.AQUA + value.name);
        return true;
    }
}
